aboutsummaryrefslogtreecommitdiff
path: root/src/krb5/krb5-kpropd
diff options
context:
space:
mode:
Diffstat (limited to 'src/krb5/krb5-kpropd')
-rwxr-xr-xsrc/krb5/krb5-kpropd40
1 files changed, 40 insertions, 0 deletions
diff --git a/src/krb5/krb5-kpropd b/src/krb5/krb5-kpropd
new file mode 100755
index 0000000..a0077d6
--- /dev/null
+++ b/src/krb5/krb5-kpropd
@@ -0,0 +1,40 @@
+#!/bin/bash
+
+# general config
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+PID=`pidof -o %PPID /usr/sbin/kpropd`
+case "$1" in
+ start)
+ stat_busy "Starting Kerberos Database Propagation Daemon"
+ if [ -z "$PID" ]; then
+ /usr/sbin/kpropd -S
+ fi
+ if [ ! -z "$PID" -o $? -gt 0 ]; then
+ stat_fail
+ else
+ add_daemon kpropd
+ stat_done
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping Kerberos Database Propagation Daemon"
+ [ ! -z "$PID" ] && kill $PID &> /dev/null
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm_daemon kpropd
+ stat_done
+ fi
+ ;;
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+ ;;
+esac
+exit 0